// {{{RME component 'Component View::CorrigirRotaComponent'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "RTSystem/CorrigirRotaComponent.h"
#endif

#include <RTSystem/CorrigirRotaComponent.h>
extern const RTActorClass Alteracao;

#ifndef RTDEFAULT_ARGV
#define RTDEFAULT_ARGV { "Alteracao" }
#undef RTDEFAULT_ARGC
#define RTDEFAULT_ARGC 1
#endif

const char * default_argv[] = RTDEFAULT_ARGV;

int default_argc = RTDEFAULT_ARGC;

#if USE_THREADS

void _rtg_createThreads( RTDebugger * debugger )
{
}

void _rtg_mapLogicalThreads( RTController * controller )
{
}

void _rtg_deleteThreads( void )
{
}
#else

void _rtg_mapLogicalThreads( RTController * controller )
{
}
#endif

static const RTSystemDescriptor _rtg_system =
{
	RTDEFAULT_ARGC
  , default_argv
  , &Alteracao
  , 0
  , (const RTObject_class * const *)0
#if USE_THREADS
  , DEFAULT_MAIN_PRIORITY
  , 20000
  , DEFAULT_TIMER_PRIORITY
  , 20000
  , _rtg_createThreads
  , _rtg_deleteThreads
#endif
  , _rtg_mapLogicalThreads
};

int RTMain::entryPoint( int argc, const char * const * argv )
{
	return execute( &_rtg_system, argc, argv );
}

// }}}RME
